UNSHARE(1)

NAME
unshare - run program with some namespaces unshared from parent

SYNOPSIS
unshare [-muinpU] cmd [args...]

DESCRIPTION
unshare unshares the indicated namespaces from the parent process and then executes the specified program. The namespaces to be unshared are indicated via options.

OPTIONS

-i  Unshare the System V IPC namespace, so that the calling process has a private copy of the System V IPC namespace which is not shared with any other process. This flag has the same effect as the clone(2) CLONE_NEWIPC flag.

-m  Unshare the mount namespace, so that the calling process has a private copy of its namespace which is not shared with any other process. This flag has the same effect as the clone(2) CLONE_NEWNS flag.

-n  Unshare the network namespace, so that the calling process is moved into a new network namespace which is not shared with any previously existing process. This flag has the same effect as the clone(2) CLONE_NEWNET flag.

-u  Unshare the UTS IPC namespace, so that the calling process has a private copy of the UTS namespace which is not shared with any other process. This flag has the same effect as the clone(2) CLONE_NEWUTS flag.

-p  Create the process in a new PID namespace. This flag has the same effect as the clone(2) CLONE_NEWPID flag.

-U  The process will have a distinct set of UIDs, GIDs and capabilities.

SEE ALSO
clone(2), unshare(2)